
/**
 * Test program for MIT AITI lab 07: OOP
 * 
 * @author MIT AITI
 *
 */
public class Lab09Test
	{
    private static int ctr = 0;
	public static void main(String[] args)
	{
    
    ContactList contacts = new ContactList();
    contacts.addContact(new Contact("Juice","1234567","36 Julian's House Dr.","juicyjuice@mit.edu"));
    contacts.addContact(new Contact("Mike","1123581","72 Grad Housing St., Boston, MA","awesomecoder@mit.edu"));
    contacts.addContact(new Contact("Zach","1248163","17 Love Shack Ln.","zachalack@mit.edu"));
    contacts.addContact(new Contact("Michelle","1361015","2 Humanities Blvd.","reformedcourse6er@mit.edu"));
    contacts.addContact(new Contact("Cory","1262412","34 SpringsteenIsCool Rd.","hetotallyis@mit.edu"));
    contacts.addContact(new Contact("Judy","1121133","26 Massage Pl.","hot@hotmail.com"));
    contacts.addContact(new Contact("Tony","2357111","68 Strong Beach","youtalkingtome@yahoo.com"));
    contacts.addContact(new Contact("Tess","1121314","87 Cyprus St.","britishaccent@gmail.com"));
    contacts.addContact(new Contact("John","1491625","99 Drive Ln.","trafficcantstopme@hotmail.com"));
    contacts.addContact(new Contact("Paul","1319219","97 Boatman Blvd.","letzachdrive@yahoo.com"));
    contacts.addContact(new Contact("Cop","1125155","22 Corrpution Dr.","money@hotmail.com"));
    contacts.addContact(new Contact("Ester","6284968","19 FIT Ln.","fit@strathmore.edu"));
    contacts.addContact(new Contact("Desai","1125144","89 ICT","diy@nationstates.net"));

	contacts.removeContact("Cop");
	contacts.removeContact("Desai");
	checkInt(contacts.getContacts().size(),11);//test 1
	checkStr(contacts.getContacts().get(0).getName(),"Juice");// test 2
	checkBool(contacts.hasContact("Tess"),true);// test 3
	checkBool(contacts.hasContact("Bobette"),false);//test 4
	contacts.changeEmail("Zach","zachgotback@mit.edu");
	checkStr(contacts.getContact("Zach").getEmail(),"zachgotback@mit.edu");//test 5
	Business c = new Business("Bob's Blips and Things","1800BOBROCKS","88 Slouchalot Ln.","bob@bobstore.com","4:00-5:00","Awful Toys","Micro");
	contacts.addContact(c);
	Business d = new Business("Letters to Santa","1800ANSWERS","1 North Pole Ave.","santa@arctic.com","0:00-23:00","Feel Good","Large");
	contacts.addContact(d);
	
	((Business)(contacts.getContact("Bob's Blips and Things"))).changeSize("Super Large");
	checkStr(((Business)(contacts.getContact("Bob's Blips and Things"))).getSize(),"Super Large");//test 6
	
	Person p1 = new Person("Terry Bradshaw","7654321","56 Ngong Rd.","brad@shaws.com","4/1/57",52,'m');
	Person p2 = new Person("Robert","67647568957","23 Error Long String","juicyjuiceabs@mit.edu","7/4/08",1,'m');
	contacts.addContact(p1);
	contacts.addContact(p2);
	((Person)(contacts.getContact("Terry Bradshaw"))).birthday();
	checkInt(((Person)(contacts.getContact("Terry Bradshaw"))).getAge() + ((Person)(contacts.getContact("Robert"))).getAge(),54);//test 7
	contacts.changeEmail("Zach","zachgotback@mit.edu");
	checkStr(contacts.getContact("Zach").getEmail(),"zachgotback@mit.edu");//test 8
	contacts.changeEmail("Zach", "appropriate@mit.edu");
	checkStr(contacts.getContact("Zach").getEmail(),"appropriate@mit.edu");//test 9
	contacts.changeAddress("Tess","New Address");
	checkStr(contacts.getContact("Tess").getAddress(),"New Address");//test 10
	contacts.changeNumber("Juice","911");
	checkStr(contacts.getContact("Juice").getPhoneNumber(),"911");//test 11
	contacts.removeContact("Juice");
	checkBool(contacts.hasContact("Juice"),false);//test 12
	contacts.removeContact(c);
	checkBool(contacts.hasContact(c),false);//test 13
	d.changeOperatingHours("3:00-5:00");
	checkStr(d.getOperatingHours(),"3:00-5:00");//test 14
	d.changeIndustry("Retail");
	checkStr(d.getIndustry(),"Retail");//test 15
	d.changeSize("small");
	checkStr(d.getSize(),"small");//test 16
	p1.correctBirthday("05/23/24");
	checkStr(p1.getBirthday(),"05/23/24");//test 17
	p1.correctAge(18);
	checkInt(p1.getAge(),18);//test 18
	p1.correctGender('F');
	checkChar(p1.getGender(),'F');//test 19
	p2.birthday();
	checkInt(p2.getAge(),2);//test 20
	
	
	}      
    

    private static void checkBool(boolean calc, boolean expected) {
    	ctr ++;
    	System.out.print("Test " + ctr + ": ");
        if (calc == expected)
            System.out.println("Passed.");
        else
            System.out.println("Failed");
    }
    
    private static void checkInt(int calc, int expected) {
    	ctr ++;
    	System.out.print("Test " + ctr + ": ");
        if (calc == expected)
            System.out.println("Passed.");
        else
            System.out.println("Failed");
    }
    
    private static void checkStr(String calc, String expected) {
    	ctr ++;
    	System.out.print("Test " + ctr + ": ");
        if (calc.equals(expected))
            System.out.println("Passed.");
        else
            System.out.println("Failed");
    }
    
    private static void checkChar(char calc, char expected) {
    	ctr ++;
    	System.out.print("Test " + ctr + ": ");
        if (calc == expected)
            System.out.println("Passed.");
        else
            System.out.println("Failed");
    }
}
